
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Random;
import java.util.Scanner;


public class Player
{
  public static void main(String[] args) throws InterruptedException
  {

    System.out.println("N");System.out.println("N");System.out.println("E");System.out.println("E");System.out.println("E");System.out.println("N");

    System.out.println("E");
    System.out.println("E");
    System.out.println("E");
    System.out.println("E");
    System.out.println("E");
    System.out.println("E");
    System.out.println("N");
    System.out.println("N");
    System.out.println("E");
    System.out.println("E");
    System.out.println("S");
    System.out.println("S");
    System.out.println("E");
    System.out.println("E");
    System.out.println("N");
    System.out.println("N");
    System.out.println("N");
    System.out.println("W");
    System.out.println("W");
    System.out.println("W");
    System.out.println("W");
    System.out.println("W");
    System.out.println("N");
    System.out.println("N");
    System.out.println("N");
    for (int i=0; i < 90; i++) System.out.println("E");
    for (int i=0; i < 4; i++) System.out.println("N");
    for (int i=0; i < 4; i++) System.out.println("E");
    System.out.println("N");
    for (int i=0; i < 4; i++) System.out.println("E");
    System.out.println("S");
    for (int i=0; i < 4; i++) System.out.println("E");
    for (int i=0; i < 8; i++) System.out.println("S");
    for (int i=0; i < 82; i++) System.out.println("W");
    //for (int i=0; i < 20; i++) System.out.println("W");
    for (int i=0; i < 28; i++) System.out.println("S");

    for (int i=0; i < 80; i++) System.out.println("E");
    for (int i=0; i < 40; i++) System.out.println("N");


  }
}
